# Frontal web configuration

This repository contains units and config files for our frontal web starting (at boot). Certificates volume should be
automatically unlocked via TPM. If not, we must manually unlock it and start nginx.

### Files
* `etc-letsencrypt.mount` allows to unlock and mount encrypted certificates volume.
  * Relevant information should be added to `/etc/crypttab`.
  * Make sure that `/etc/letsencrypt` directory exists
* `timeout.conf` is a drop-in Systemd unit file, to let system start even if above volume is not unlocked
* `wait-for-dns.conf` is a drop-in Systemd unit file, which prevents nginx to start before DNS server is operational.
#### Installation
* `install.sh` script copies Systemd files to their destination.

### TODO
* RAS
